## rock-master-20.06-drivers-aggregator 0.20160914

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

rock_init(aggregator 0.1)
rock_standard_layout()

=== src/CMakeLists.txt ===
rock_library(aggregator
    SOURCES TimestampEstimator.cpp
            StreamAlignerStatus.cpp
    DEPS_PKGCONFIG base-types base-lib
    HEADERS TimestampEstimator.hpp
            TimestampEstimatorStatus.hpp
            StreamAligner.hpp
            PullStreamAligner.hpp
            StreamAlignerStatus.hpp
            DetermineSampleTimestamp.hpp)

=== test/CMakeLists.txt ===
rock_testsuite(timestamper-test test_timestamper.cpp
    DEPS aggregator
    DEPS_PKGCONFIG base-types)
rock_testsuite(streamaligner-test test_streamaligner.cpp
    DEPS aggregator
    DEPS_PKGCONFIG base-types)

=== debian/changelog ===
rock-master-20.06-drivers-aggregator (0.20160914-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/drivers-aggregator.git
  * branch: refs/heads/master
  * commit: 850727a045d77c2e7ce7d8085c12d6a18b5f1d6d
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Mon, 07 Sep 2020 13:04:17 +0200

=== debian/control ===
Source: rock-master-20.06-drivers-aggregator
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.06-base-cmake, rock-master-20.06-base-types
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-drivers-aggregator
Architecture: any
Depends: ${shlibs:Depends}, cmake, rock-master-20.06-base-cmake, rock-master-20.06-base-types, ruby
Description: basic tools to manage sample streams
 This library offers basic tools to manage sample streams. The
  SampleReader class for instance allows to reorder data samples and
  "wait" for acquisitions in which latency is non negligible.
  TimestampEstimator does a best-guess of a stream of samples that come at
  a fixed, unknown period.
